#!/usr/bin/python
#------------------------------------------------------------------------------
# simple python script for using mtoc for all files in a directory
# author: Mijail Guillemard - April 2010
#------------------------------------------------------------------------------

import os
# import pdb
# pdb.set_trace()

allFileNames = os.popen("ls *.m")
functionNamesList = [];

# collect all files and build functionNamesList
for fileName in allFileNames:
    (name, ext) = os.path.splitext( fileName )
    functionNamesList.append(name)

codeGraph_file = open("mcodeGraph.dot", "w")
codeGraph_file.write("digraph mfileDep { \n")

# read each file name and search for functions
for fileName in functionNamesList:
    file = open(fileName + ".m", "r")
    text_file = file.read()
    for functionName in functionNamesList:
        where = text_file.find(functionName)
        if where > -1 and fileName != functionName:
           codeGraph_file.write(fileName + "->" + functionName + "\n")
        
codeGraph_file.write("}")
codeGraph_file.close()

print("ready with dot file creation: now starting dot compilation")
# os.popen("dot -Gratio=1 -Gmindist=0.1 -Granksep=0.5 -Gfontsize=28 -Tpng mcodeGraph.dot > mcodeGraph.png")
# opsvar = "dot -Gratio=1.7 -Gwidth=10 -Gheight=10 -Gfixedsize=true -Granksep=0.1 -Goverlap=orthoyx -Gfontsize=61"
opsvar = "neato -Gratio=1.7 -Goverlap=orthoxy -Nfontsize=18 -GK=0.01 -Elen=0.01 -Gmargin=0"
opsvar = "neato -Gratio=1.7 -Goverlap=orthoxy -Elen=0.002"
opsvar = "neato -Gratio=1 -Goverlap=orthoxy -Gsplines=true -s200"
opsvar = "neato -Gratio=1 -Goverlap=compress -Ecolor=red -Gsplines=true -s300 -Gfontsize=18"
#opsvar = "fdp -v -s300"
#opsvar = "fdp -s300"
#opsvar = "fdp -Gratio=1 -s300 -Goverlap=false -Gsplines=true"
#opsvar = "neato -Gratio=1 -Goverlap=false -Gsplines=true"
#opsvar = "dot -Gratio=1.2 -s500"
os.popen(opsvar + " -Tpng mcodeGraph.dot > mcodeGraph.png")
print("dot compilation: png ready")
os.popen(opsvar + " -Txdot mcodeGraph.dot > mcodeGraph.xdot")
print("dot compilation: xdot ready")
os.popen("dot2tex -ftikz mcodeGraph.xdot > mcodeGraph.tex")
print("dot2tex compilation: .tex ready")
