function sedf = filterPCD(sed,frq)
% -------------------------------------------------------
% FFT Filter of Point Cloud Data with  
%
% --------------------------------------------------------
% Author: M.Guillemard - 2010
% Copyright 2010 Mijail Guillemard
% This program is distributed under the terms of the GNU General Public License.
% --------------------------------------------------------

nn = size(sed,1);
fftsed = fft(sed);
% fftsed(frq+1,:) = 0; fftsed(nn+1-frq,:) = 0;
fftsed(frq+1,:) = fftsed(frq+1,:)/1.2; 
fftsed(nn+1-frq,:) = fftsed(nn+1-frq,:)/1.2;

fftsed(frq+1+1,:) = fftsed(frq+1+1,:)/1.0; 
fftsed(frq+1-1,:) = fftsed(frq+1-1,:)/1.0; 
fftsed(nn+1-frq+1,:) = fftsed(nn+1-frq+1,:)/1.0;
fftsed(nn+1-frq-1,:) = fftsed(nn+1-frq-1,:)/1.0;

sedf = ifft(fftsed);

%%== % reminder: trivial example of fft filtering: 
%%== % nn = 12; frq1 = 3; frq2 = 5;
%%== nn = 8; frq1 = 2; frq2 = 3;
%%== sgn1 = sin(2*pi*frq1*[0:nn-1]/nn);
%%== sgn2 = sin(2*pi*frq2*[0:nn-1]/nn);
%%== sgn = sgn1 + sgn2; 
%%== fsgn = fft(sgn);
%%== figure; 
%%== subplot(411); plot(sgn1); grid;
%%== subplot(412); plot(sgn2); grid;
%%== subplot(413); plot(sgn); grid;
%%== subplot(414); plot(abs(fsgn)); grid;
%%==  
%%== frqf = frq2;
%%== fsgn(frqf+1) = 0; fsgn(nn+1-frqf) = 0;
%%== sgni = ifft(fsgn);
%%== figure; 
%%== subplot(211); plot(abs(fsgn)); grid;
%%== subplot(212); plot(sgni); grid;

