function sedf = filterPCDProcrust(sed,f1,remv)
% -------------------------------------------------------
% Rotational Based Filter of Point Cloud Data    
%
% remv: if 1: removes the component fl from sed
%       if 0: keeps the component f1 from sed and removes the rest
% --------------------------------------------------------
% Author: Mijail Guillemard - 2010
% Copyright 2010 Mijail Guillemard
% This program is distributed under the terms of the GNU General Public License.
% --------------------------------------------------------

% testing the filterPCDProcrust
% f1 = 2*(rand(100,1)-0.5); f1 = f1/norm(f1);
% Ee2 = repmat(f1,1,10).*repmat(rand(1,10),length(f1),1);
% Ef = filterPCDProcrust(Ee2,e2,1); % the matrix Ef should be almost zero


disp('starting Rotational Based filtering of PCD'); 

frqCl = floor(length(f1)/3); % frequency to Clean
sgs = zeros(size(f1)); sgs(frqCl) = 1;
[sgaa,QQ,rr] = procrust(f1'/norm(f1),sgs');

% using the standard basis instead of the sinusoidal basis
wsgRot = QQ*sed; wsgRotO = wsgRot;
% wsgCO  = QQ'*wsgRotO; 

global parms;
fcd = 0; 

if remv == 1; % removes the component f1 from sev
  % wsgRot(frqCl-fcd:frqCl+fcd,:) = wsgRot(frqCl-fcd:frqCl+fcd,:)/parms.FilterCoef;
  wsgRot(frqCl-fcd:frqCl+fcd,:) = wsgRot(frqCl-fcd:frqCl+fcd,:)/2;
  % wsgRot(frqCl-fcd:frqCl+fcd,:) = 0;
else % keeps the component f1 from sed and removes the rest
  inta = 1:size(wsgRot,1);
  intb = setdiff(inta,frqCl-fcd:frqCl+fcd);
  wsgRot(intb,:) = wsgRot(intb,:)/30;
  % wsgRot(intb,:) = 0;
end;

sedf  = QQ'*wsgRot;  

% disp('sfs33'); keyboard; 