function sed = isomapPlotting(X,plotting)
% -------------------------------------------------------
%
%
% --------------------------------------------------------
% Author: Mijail Guillemard - 2010
% Copyright 2010 Mijail Guillemard
% This program is distributed under the terms of the GNU General Public License.
% --------------------------------------------------------

addpath('isomap');
if nargin < 2; plotting = 1; end;

% run isomap code
% ===============
% astft = buffer(sgnl,1024,2*128);
astft = X';
D = L2_distance(astft,astft,1);
% options.dims = 1:3; % options.display = 0;
options.dims = [3]; % options.display = 0;
% [Y, R, E] = IsomapII(D, 'epsilon', 30, options);
[Y, R, E] = IsomapII(D, 'k', 40, options);
% [Y, R, E] = Isomap(D, 'k', 8, options);
dimr = options.dims; twod = find(dimr==2);

% disp('sf'); keyboard; 

threed = find(dimr==3);
ak = Y.coords{threed}(1,:); 
bk = Y.coords{threed}(2,:); 
ck = Y.coords{threed}(3,:); 

Colrs = [1,0,0; 0,1,0; 0,0,1; 0,1,1; 1,0,0; 0,1,0; 0,0,1; 0,1,1];
la = length(ak); ak = ak(1:la); bk = bk(1:la); ck = ck(1:la);
lak=length(ak); ncolors = 4; pcks = lak/ncolors; 
if plotting == 1; 
figure; hold on; title('Isomap Plotting');
for k=1:ncolors; 
  inta = round(pcks*(k-1)+1); intb = round(pcks*k); 
  intv = inta:intb;
  colrs = Colrs(k,:);
  plot3(ak(intv),bk(intv),ck(intv),'.','Color',colrs); 
  % gplot3(E(Y.index, Y.index), [ak(intv); bk(intv); ck(intv)]');
end;
grid on; rotate3d on; hold off; 
end;

%% plot3(ak, bk, ck,'r.'); 
%% grid on; rotate3d on;
%% gplot3(E(Y.index, Y.index), [ak; bk; ck]'); grid on;
%% rotate3d on;

sed = [ak;bk;ck];

fname = 'isomapPlotting';
% disp(fname); keyboard; 