function moebiusTransformPlot()

clear all; close all;

% define x and y grid
[xx,yy] = meshgrid(-4:0.5:4,-4:0.5:4);
[xx,yy] = meshgrid(-2:0.1:2,-2:0.1:2);
% [xx,yy] = meshgrid(-2:0.01:0,-1:0.01:1);
zc = xx+i*yy;

% construct moebius transform images
f1 = -1/2 - i*1/2; f2 = 0 + i*0;
k = -2+i*3; k = 3; 
aa = f1-k*f2; bb = (k-1)*f1*f2;
cc = 1-k;     dd = k*f1-f2;

% second version of moebius construction
z1 = -1+0*i; z2 = 1+0*i; z3 = (z1+z2)/2;
e1 = z1;     e2 = z2;     e3 = 0.3 + 0*i;
aa = e3*(e1-e2)*(z2-z3)     + e1*(e2-e3)*(z2-z1);
bb = z1*(z3-z2)*e3*(e1-e2)  + z3*(z1-z2)*e1*(e2-e3);
cc = (e1-e2)*(z2-z3)        + (z2-z1)*(e2-e3);
dd = z1*(z3-z2)*(e1-e2)     + z3*(z1-z2)*(e2-e3);
delta = aa*dd-bb*cc;
aa = aa/delta; bb = bb/delta; cc = cc/delta; dd = dd/delta;

zz = (aa*zc+bb)./(cc*zc+dd);

% zz1 = zc*aa'+zc*flipud(aa)'+bb

dzz = zz-zc; % dzz = zz; 
% plot vector field
quiver(xx,yy,real(dzz),imag(dzz),4);
% streamcolor(xx,yy,real(dzz),imag(dzz),abs(dzz));
[sx,sy] = meshgrid(-2.1:0.6:2.1,-2.1:0.6:2.1);
h = streamline(stream2(xx,yy,real(dzz),imag(dzz),sx,sy));
set(h,'Color','red','LineWidth',1.8);
%%%% H=streakarrow(xx,yy,real(dzz),real(dzz),1.5,0); box on; 
grid on;

% ddz = abs(dzz).*angle(dzz);
%% ddz = angle(dzz);
%% figure; imagesc(ddz);

saveas(gcf,['./results/moebiusVectorField'],'png');
saveas(gcf,['./results/moebiusVectorField'],'epsc');
% screen2jpeg('vectField1',1);

disp('sdf33'); keyboard; 

