function sedn = mtransformPCD(sed,mbt)
% -------------------------------------------------------
% Moebius Transform of a Point Cloud Data 
%
% --------------------------------------------------------
% Author: M.Guillemard - 2010
% Copyright 2010 Mijail Guillemard
% This program is distributed under the terms of the GNU General Public License.
% --------------------------------------------------------
disp('starting mtransformPCD'); 

Aa = mbt(:,1); Bb = mbt(:,2); Cc = mbt(:,3); Dd = mbt(:,4);

ssize = size(sed,1);
pw2 = 2.^[0:ssize-2]+1;  pw2 = [1, pw2]; 
% st1 = [[0:2^ssize-1]']; stk=[dec2bin([0:2^ssize-1],ssize+1) num2str(st1)];
pw2d = setdiff([1:2^ssize],pw2);

disp('clifford products in Moebius transform'); 
Aas = cliffProduct(Aa,sed);
Ccs = cliffProduct(Cc,sed);

AasBb = Aas + repmat(Bb,1,size(Aas,2));
CcsDd = Ccs + repmat(Dd,1,size(Aas,2));

disp('clifford inversion in Moebius transform');
nCcsDd = sum(CcsDd.*CcsDd); 
CcsDdi = cliffconjN(CcsDd);
CcsDdi = CcsDdi./repmat(nCcsDd,size(CcsDdi,1),1);

% sedm = cliffProductK(CcsDd,CcsDdi); % verify that the inverse is indeed correct

disp('clifford product in Moebius transform');
sedm = cliffProductK(AasBb,CcsDdi);

sedn = sedm(pw2,:);

%% %% % verify that the resulting moebius transformation 
%% %% % indeed maps vectors to vectors
sedmm = sedm(pw2d,:);
ssedm = sum(sedmm);
disp(['clifford moebius verificator: ' num2str(norm(ssedm))]); 
%% figure; plot(ssedm); % this should be all (almost) zero values

% disp('fsd224f'); keyboard; 
