function pcaRes = pcaAnalysis3(sed12,sed1,sed2,thirdPlot)
% -------------------------------------------------------
% Simple SVD decomposition of sed using ncolorArray for plotting
%
% --------------------------------------------------------
% Author: M.Guillemard - 2010
% Copyright 2010 Mijail Guillemard
% This program is distributed under the terms of the GNU General Public License.
% --------------------------------------------------------

ncolors = 64; sed = sed12;
lse1 = size(sed,1); ncolorsArray = floor(([1:lse1-1]/lse1)*ncolors+1);
ncolorsArray(length(ncolorsArray)+1) = ncolorsArray(length(ncolorsArray));


sedA = sed12;  lsed1 = size(sed1,1); lsed2 = size(sed2,1); 
fname = 'pcaAnalysis3';

% sed12 = blockFrames(sed12); sed1 = blockFrames(sed1); sed2 = blockFrames(sed2);
if nargin < 4; 
  thirdPlot = 0; 
  sed = [sed1; sed2];
else
  sed = sed1;
end;

sed = [sed1; sed2];

msed = mean(sed);
sed = sed - repmat(mean(sed),size(sed,1),1);
mnorms = sum(transpose(sed.*sed)); mnorm = mean(mnorms); 
% nsed = norm(sed); 
sed = sed/mnorm; % disp('withNormScaling'); 

sed12 = sed12 - repmat(msed,size(sed12,1),1);
sed12 = sed12/mnorm;
% sed12 = sed12/nsed; % disp('withNormScaling');

global parms;

[U,D,V] = svd(sed,0); 
nic = parms.PCAcomponents; T = D(1:nic,:)*V'; 
% nic = 3; T = (D(1:nic,:)>0)*V'; disp('new without D');
tr2 = sed*T';
ak = tr2(:,1); bk = tr2(:,2); ck = tr2(:,3);
% plot3(ak,bk,ck,'r.'); grid on; rotate3d on;
% figure(12); plot(ak,bk,'r.'); grid on;

tr2c = sed12*T';
akc = tr2c(:,1); bkc = tr2c(:,2); ckc = tr2c(:,3);

figure; 
plot3(ak(1:lsed1),bk(1:lsed1),ck(1:lsed1),'.','Color',[1,0,0]);  hold on; 
plot3(ak(lsed1:end),bk(lsed1:end),ck(lsed1:end),'.','Color',[0,0,1]); hold on;
if thirdPlot == 1; 
  plot3(akc,  bkc,  ckc,  '.','Color',[0,1,0]); 
end;

hold off; 
grid on; 
rotate3d on;

Ddiag = diag(D); 

pcaRes.Ddiag = Ddiag;
pcaRes.tr = tr2';
pcaRes.T = T;
pcaRes.msed = msed;
pcaRes.mnorm = mnorm;
pcaRes.tr2c = tr2c';