function [tr2 T D] = pcaAnalysis3CodeColors(sed,posColors,posColorsKeep)
% -------------------------------------------------------
%
%
% --------------------------------------------------------
% Author: Mijail Guillemard - 2010
% Copyright 2010 Mijail Guillemard
% This program is distributed under the terms of the GNU General Public License.
% --------------------------------------------------------

ncolors = 64; 
lse1 = size(sed,1); ncolorsArray = floor(([1:lse1-1]/lse1)*ncolors+1);
ncolorsArray(length(ncolorsArray)+1) = ncolorsArray(length(ncolorsArray));

plotting = 1;
returnFast = 0; 
% if nargin < 2; plotting = 0; end;
if nargin < 1; returnFast = 1; end; 
% 3d pca projection of data in sed 
% author: Mijail Guillemard June 2006
% parameters: 
% sed: matrix data, number of rows: n is a data section
% ncolorsArray is a array of size n with the color indexes

nv = 1; 

if size(sed,2) < 2; disp('Problem with pcaAnalysis!'); keyboard; end;
if size(sed,2) < 3; sed(:,3) = 0; end;

sedA = sed; 
sed = sed - repmat(mean(sed),size(sed,1),1);
sed = sed/norm(sed); % disp('withNormScaling'); 

[U,D,V] = svd(sed,0); 
nic = 3; T = D(1:nic,:)*V'; 
% nic = 3; T = (D(1:nic,:)>0)*V'; disp('new without D');
tr2 = sed*T';
ak = tr2(:,1); bk = tr2(:,2); ck = tr2(:,3);
% plot3(ak,bk,ck,'r.'); grid on; rotate3d on;
% figure(12); plot(ak,bk,'r.'); grid on;

if returnFast == 1; return; end; 

ncolors = max(ncolorsArray);

% ===============
% set the colors 
if ncolors > 8; 
Colrs = [0 0 0.5625;0 0 0.625;0 0 0.6875;0 0 0.75;0 0 0.8125;0 0 0.875;0 0 0.9375;0 0 1;0 0.0625 1;0 0.125 1;0 0.1875 1;0 0.25 1;0 0.3125 1;0 0.375 1;0 0.4375 1;0 0.5 1;0 0.5625 1;0 0.625 1;0 0.6875 1;0 0.75 1;0 0.8125 1;0 0.875 1;0 0.9375 1;0 1 1;0.0625 1 1;0.125 1 0.9375;0.1875 1 0.875;0.25 1 0.8125;0.3125 1 0.75;0.375 1 0.6875;0.4375 1 0.625;0.5 1 0.5625;0.5625 1 0.5;0.625 1 0.4375;0.6875 1 0.375;0.75 1 0.3125;0.8125 1 0.25;0.875 1 0.1875;0.9375 1 0.125;1 1 0.0625;1 1 0;1 0.9375 0;1 0.875 0;1 0.8125 0;1 0.75 0;1 0.6875 0;1 0.625 0;1 0.5625 0;1 0.5 0;1 0.4375 0;1 0.375 0;1 0.3125 0;1 0.25 0;1 0.1875 0;1 0.125 0;1 0.0625 0;1 0 0;0.9375 0 0;0.875 0 0;0.8125 0 0;0.75 0 0;0.6875 0 0;0.625 0 0;0.5625 0 0];
Colrs(:,1) = 0.7*Colrs(:,1);
else
Colrs = [1,0,0; 0,1,0; 0,0,1; 0.5,0.5,0.5; 1,0,1; 0,1,1; 0.5,0.5,1; 1,1,0; 0,0.5,0];end;


% plot3(ak,bk,ck,'r.'); grid on;

psA = [100 100 392 294];
figure('Position',psA); 

% ===============
% plotting PCA 
if plotting == 1
  % disp('plotting'); 
  ak = tr2(:,1); bk = tr2(:,2); ck = tr2(:,3);
 
pcolors = intersect(posColors,posColorsKeep);  
  plot3(ak(pcolors),bk(pcolors),ck(pcolors),'.','Color',[1,0,0]);
  posColorsDiff = setdiff(1:length(ak),posColors); hold on;
pcolorsD = intersect(posColorsDiff,posColorsKeep);
  plot3(ak(pcolorsD),bk(pcolorsD),ck(pcolorsD),'.','Color',[0,0,1]);  
  
  grid on; % rotate3d on; 
  hold off; 
  rotate3d on; 
  colormap(Colrs);
end;

view([1,1,1]); 

fname = 'pcaAnalysis';
% disp('pcaAnalysis'); keyboard; 

% for visualizing the colors in the Colrs array type
colormap(Colrs) %and set the colormap toolbar in the figure
% Colrs = [1,0,0; 0,1,0; 0,0,1; 0.5,0.5,0.5; 1,0,1; 0,1,1; 0.5,0.5,1; 1,1,0; 0,0.5,0];
