// IndexList.h
// -----------
// Just a list of int's used for indices, and the length.
// 
// Author: Erik Carlsson
// Date:   August 27, 2003
//

#ifndef _INDEXLIST_H
#define _INDEXLIST_H

struct IndexList 
{
  int length;
  int* list;
  
  IndexList();
  IndexList(int length);
  IndexList(const IndexList &indexList);
  IndexList(int* list, int length);
  ~IndexList();
  void setValsWithoutDeleting(int* list, int length); //bad. Use setVals instead
  void setVals(int* list, int length); //copies list into the index list.
  void setVals(const IndexList& indexList); //copies list into the index list.
  void display() const;
  void makeFull(int length);
  void makeZeros(int length);
  void makeNewList(int length);
  void makeNewListWithoutDeleting(int length);
  void setDiff(const IndexList &A, const IndexList &B);
  void disjointUnion(IndexList* indexLists, int numLists);
  void concat(IndexList* indexLists, int numLists);
  void sortList();
  void sortAccordingTo(const IndexList& A);
  void subListOf(const IndexList& A);
  void adjoin(const IndexList& indexList);
};

#endif // _INDEXLIST_H
