function C1 = attach(C, F, k)

%ATTACH   attach cells to a simplicial complex
%   C1 = ATTACH(C, f) returns the simplicial complex which arises by
%   attaching the p-simplex f to the complex C. Here f = [v0; v1; ...; vp]
%   is represented as a column vector of vertex labels. All faces of f are
%   included in the final complex C1.
%
%   C1 = ATTACH(C, F) attaches all the p-cells F(:,i), where F is a matrix
%   with p+1 rows.
%
%   C1 = ATTACH(C, f, k) and C1 = ATTACH(C, F, k) attach those faces of
%   the simplices specified by f or F which have dimension less than or
%   equal to k.
%
%Plex version 2.0 by Patrick Perry, Vin de Silva and contributors. See
%PX_PLEXINFO for credits and licensing information. [2005-May-18]

% $Id: attach.m,v 1.1.1.1 2005/03/18 23:36:47 silva Exp $
% $Log: attach.m,v $
% Revision 1.1.1.1  2005/03/18 23:36:47  silva
% Imported Sources
%
% Revision 1.3  2004/10/26 22:30:51  silva
%
% Improved help text.
%
% Revision 1.2  2004/10/22 01:28:13  silva
%
% Improving help-text and adding tags.
%
% Revision 1.1.1.1  2004/09/25 22:04:09  patperry
% Imported sources
%
% Revision 1.2  2004/06/21 17:29:40  patperry
% Added maxdim option to attach
%
