function S = cover (C, V, k)
%COVER   k-simplex cover from vertex cover
%   S = COVER(C, V, k) takes a plex object, vertex cover and 
%   dimension parameter, and returns a k-simplex cover.
%
%   Input arguments:
%      C : plex object with n vertices
%      S : n-by-N logical matrix, representing a vertex cover of C
%      k : non-negative integer
%
%   Output argument:
%      S : m-by-N logical matrix, representing a k-simplex cover of C.
%          Here m is the number of k-simplices.
%
%   A cover of a set of M objects by N subsets is represented by an M-by-N
%   logical matrix. Entry (i,j) takes value 1 if the i-th object is
%   included in the j-th subset.
%
%   A k-simplex belongs to the i-th subset of the k-simplex cover if any
%   of its vertices belongs to the i-th subset of the vertex cover.
%
%Plex version 2.0 by Patrick Perry, Vin de Silva and contributors. See
%PX_PLEXINFO for credits and licensing information. [2005-May-18]
