/* dim.cc
 * ------
 * Returns the dimension of a plex object.
 *
 * $Id: dim.cc,v 1.1.1.1 2005/03/18 23:36:49 silva Exp $
 * $Log: dim.cc,v $
 * Revision 1.1.1.1  2005/03/18 23:36:49  silva
 * Imported Sources
 *
 * Revision 1.1.1.1  2004/09/25 22:04:09  patperry
 * Imported sources
 *
 * Revision 1.5  2004/02/26 06:49:24  patperry
 * Converted mexfiles to use new scomplex interface
 *
 * Revision 1.4  2004/02/09 06:30:44  patperry
 * Got rid of MatlabAllocator.  A few small bugfixes.
 *
 * Revision 1.3  2004/01/15 07:16:51  patperry
 * moved support to matlab-support
 *
 * Revision 1.2  2003/11/18 08:57:38  patperry
 * Added support code.
 *
 * Revision 1.1.1.1  2003/11/14 10:08:56  patperry
 * Initial version.
 *
 *
 */

#include "PlexObject.h"

extern "C" {
#include "mex.h"
#include "matrix.h"
}

extern "C" {

void 
mexFunction (int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
  SimplicialComplex_t * scomplex;

  // check input and output
  if (nrhs != 1) {
    mexErrMsgTxt("One input required.");
  } else if (nlhs > 1) {
    mexErrMsgTxt("Too many output arguments.");
  } 
  
  scomplex = GetSimplicialComplex(prhs[0]);

  plhs[0] = mxCreateDoubleScalar(scomplex->getDimension());
  
}

}
