function C1 = excise(C,f)

%EXCISE   delete simplices from a simplicial complex
%   C1 = EXCISE(C, f) returns the complex which arises by deleting the
%   p-cell f from the simplicial complex C (if it is present). Here f =
%   [v0; v1; ... vp] is represented as a column vector of vertices. All
%   (p+i)-cells which contain f are also deleted.
%
%   C1 = EXCISE(C, F) deletes all the p-cells F(:,i), where F is a
%   matrix with p+1 rows.
%
%Plex version 2.0 by Patrick Perry, Vin de Silva and contributors. See
%PX_PLEXINFO for credits and licensing information. [2005-May-18]
