function L = laplacian(C,k)

%LAPLACIAN   simplicial complex Laplacian operator
%   L = LAPLACIAN(C,k) returns the Laplacian matrix of the complex C in
%   dimension k.
%
%Plex version 2.0 by Patrick Perry, Vin de Silva and contributors. See
%PX_PLEXINFO for credits and licensing information. [2005-May-18]

if nargin<2
	error('Not enough inputs.')
end
if k~=floor(k)
	error('Dimension must be an integer.')
end

d_2 = boundary(C,k+1);
d_1 = boundary(C,k);

L = d_1'*d_1 + d_2*d_2';
