function K = simplices(C, p)

%SIMPLICES  Return the cells of a simplicial complex.
%   S = SIMPLICES(C, p) returns the p-cells of the simplicial complex C. 
%   The vertices of each p-cell are listed in increasing order, and the
%   p-cells are listed lexicographically.
%
%   Input arguments:
%      C : plex object
%      p : non-negative integer
%
%   Output arguments:
%      S : matrix with p+1 rows. The entry S(i,j) gives the label of the
%          i-th vertex of the j-th p-simplex of C.
%
%Plex version 2.0 by Patrick Perry, Vin de Silva and contributors. See
%PX_PLEXINFO for credits and licensing information. [2005-May-18]
