function C = union(varargin)

%UNION   union of simplicial complexes
%   C = UNION(C_1, ..., C_k) returns the union of the simplicial complexes
%   C_1, ..., C_k.
%
%   [C, F] = UNION(C_1, F_1, ..., C_k, F_k) returns the union of the
%   complexes C_1, ..., C_k with filtrations F_1, ..., F_k.
%   
%   Arguments:
%      C, C_i : plex objects
%      F, F_i : filtrations
%
%   See PERSISTENCE for an explanation of filtrations. The filtration
%   value assigned by F to a simplex in C is the minimum of the filtration
%   values assigned by the filtrations F_i.
%
%   This overloads the MATLAB function UNION.
%
%Plex version 2.0 by Patrick Perry, Vin de Silva and contributors. See
%PX_PLEXINFO for credits and licensing information. [2005-May-18]
