%Plex
%
%Simplicial complex library.
%
%Documents
%   px_plexinfo     - display Plex license and credits
%
%Class constructor
%   plex            - construct plex object
%
%Attributes
%   chrank          - how many k-dimensional simplices?
%   simplices       - list the k-dimensional simplices
%   vertices        - list the vertices
%   dim             - dimension of largest simplex present
%   boundary        - boundary map
%   graph           - graph formed by edges
%   laplacian       - k-dimensional discrete Laplacian
% 
%Elementary homological calculations
%   betti2          - k-th Betti number (mod 2)
%   homology2       - basis for k-th homology group (mod 2)
%   betti           - k-th Betti number (floating point)
%   harmonic        - basis for harmonic k-cycles (floating point)
%
%Modifying a plex object
%   expand          - generate higher-dimensional simplices
%   skeleton        - restrict to k-skeleton
%   intersect       - intersection of plex objects
%   union           - union of plex objects
%   attach          - attach simplices
%   excise          - remove simplices
%   restrict        - restrict to specified vertex set
%   nbhood          - find neighbours of specified vertices
%
%Persistent homology
%[from code by Afra Zomorodian and Lutz Kettner]
%   persistence     - compute persistent homology 
%   copersistence   - compute persistent cohomology
%   px_homologyplot - display persistent homology in various formats
%   extend          - extend a filtration to higher skeleta                     
%
%Simplicial complex pairs
%   relative        - construct relative complex of a pair
%   mapping2        - homology of a map (mod 2)
%   mapping         - homology of a map (floating point)
%
%Algebra modulo 2
%   px_mod2col      - column space of a matrix (mod 2)
%   px_mod2null     - null space of a matrix (mod 2)
%   px_mod2lu       - LU decomposition (mod 2)
%
%Workspace management
%   px_plexsave     - save plex objects to file
%   px_plexload     - load plex objects from file
%   px_plexwho      - list plex objects stored in file
%   px_plexgc       - plex garbage collector
%
%Type `help Plex/metric' for information on the Plex metric data toolbox.
%
%Plex version 2.0 by Patrick Perry, Vin de Silva and contributors. See
%PX_PLEXINFO for credits and licensing information. [2005-May-18]
