function F = px_wfilt (C, D, nu, k)

%PX_WFILT
%
%   F = PX_WFILT(C, DL, nu) filters the simplicial complex C according to
%   the simplex appearance in the witness complex defined by
%   landmark-to-point distance matrix DL and neighborhood parameter nu.
%
%   F = PX_WFILT(C, DL, nu, k) filters only those simplices of dimension
%   less than or equal to k.
%
%   PX_WFILT is not intended to be called directly; use PX_WITNESSNU
%   instead.
%
%Plex Metric Data Toolbox version 2.0 by Vin de Silva, Patrick Perry and
%contributors. See PX_PLEXINFO for credits and licensing information.
%Released with Plex version 2.0. [2005-May-18]

% $Id: px_wfilt.m,v 1.1.1.1 2005/03/18 23:37:02 silva Exp $
% $Log: px_wfilt.m,v $
% Revision 1.1.1.1  2005/03/18 23:37:02  silva
% Imported Sources
%
% Revision 1.2  2004/10/22 01:28:13  silva
%
% Improving help-text and adding tags.
%
% Revision 1.1.1.1  2004/09/25 22:04:09  patperry
% Imported sources
%
% Revision 1.2  2004/05/19 04:46:05  patperry
% Fixed typo
%
% Revision 1.1  2004/05/19 04:22:02  patperry
% Added doc for wfilt
%
