// free.cc
// -------



#include "PlexObject.h"


extern "C" {
#include "matrix.h"
#include "mex.h"

void
mexFunction (int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
  SimplicialComplex_t * scomplex;

  if (nrhs != 1) {
    mexErrMsgTxt("Exactly one input arguments required.");
  } else if (nlhs != 0) {
    mexErrMsgTxt("No output arguments allowed.");
  } else if (!IsPlexObject(prhs[0])) {
    mexErrMsgTxt("Input must be a plex object.");
  }

  scomplex = GetSimplicialComplex(prhs[0]);

  StopManagingComplex(scomplex);
  delete scomplex;
  //FreePlexObject(const_cast<mxArray *>(prhs[0]));
}

}
