function [C, varargout] = px_mod2col (A, cover1, cover2, cover3)

%PX_MOD2COL
%
%Plex version 2.0 by Patrick Perry, Vin de Silva and contributors. See
%PX_PLEXINFO for credits and licensing information. [2005-May-18]

if nargin >= 4
  [L, U, P, Q] = px_mod2lu(A, cover1, cover2, cover3);
elseif nargin == 3
  [L, U, P, Q] = px_mod2lu(A, cover1, cover2);
elseif nargin == 2
  [L, U, P, Q] = px_mod2lu(A, cover1);
else
  [L, U, P, Q] = px_mod2lu(A);
end


numPivots = length(find(diag(U)));

% { e_1, ..., e_numPivots } is a basis for col(U), so
% { L(e_1), ..., L(e_numPivots) } is a basis for col(L*U)
C = L(:,1:numPivots);

if (nargout == 2)
  varargout(1) = {P};
else
  % reverse the row permutation
  C = P' * C;
end
