function px_plexload (filename, varargin)

% PLEXLOAD -- load Plex objects from a file
%
%   PLEXLOAD(filename) loads all plex objects stored in the file
%   with the given filename
%
%   PLEXLOAD(filename, C) loads only the plex object named C.
%
%   PLEXLOAD(filename, C1, C2, ..., CN) loads multiple plex
%   objects.
%
%   See also PLEXSAVE, PLEXWHO.
%
%Plex version 2.0 by Patrick Perry, Vin de Silva and contributors. See
%PX_PLEXINFO for credits and licensing information. [2005-May-18]

% $Id: px_plexload.m,v 1.1.1.1 2005/03/18 23:36:46 silva Exp $
% $Log: px_plexload.m,v $
% Revision 1.1.1.1  2005/03/18 23:36:46  silva
% Imported Sources
%
% Revision 1.2  2004/10/22 01:28:13  silva
%
% Improving help-text and adding tags.
%
% Revision 1.1.1.1  2004/09/25 22:04:09  patperry
% Imported sources
%
% Revision 1.2  2004/09/16 00:29:56  silva
% Tidying up the help text.
%
% Revision 1.1  2004/07/07 19:32:51  patperry
% Added functions for saving/loading plex objects to/from files.
%


if (nargin < 1) || ~ischar(filename)
  error('First argument must be a string.');
end

ObjectNames = plexwho(filename, varargin{:});
numObjects = length(ObjectNames);
load(filename, ObjectNames{:});

for i = 1:numObjects
  name = ObjectNames{i};
  dimension = eval(name);
  object = plex;
  
  for n = 0:dimension
    facesName = ['PLEX__' name '_' int2str(n)];
    load(filename, facesName);
    F = eval(facesName);
    object = attach(object, F);
  end
  
  assignin('caller', name, object);
end
    
