/* px_plexmanager.cc
 * -----------------
 * Return a handle to the plex garbage collector.
 *
 * $Id: px_plexmanager.cc,v 1.2 2005/07/21 02:54:20 patperry Exp $
 * $Log: px_plexmanager.cc,v $
 * Revision 1.2  2005/07/21 02:54:20  patperry
 * Added 64-bit compatibility.
 *
 * Revision 1.1.1.1  2005/03/18 23:36:46  silva
 * Imported Sources
 *
 * Revision 1.1  2004/09/28 23:40:39  patperry
 * Added plexmanager and fixed gc
 *
 */

extern "C" {
#include "/matlabdir/extern/include/mex.h"
#include "/matlabdir/extern/include/matrix.h"
}

#include <cstdlib>
#include "PlexObject.h"


extern "C" {

static ManagedComplexCollection ManagedComplexes;

void 
mexFunction (int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
  mexLock();

  if (sizeof(void *) == 8) {
    plhs[0] = mxCreateNumericMatrix(1, 1, mxUINT64_CLASS, mxREAL);
  } else {
    plhs[0] = mxCreateNumericMatrix(1, 1, mxUINT32_CLASS, mxREAL);
  }
  *reinterpret_cast<std::size_t *>(mxGetData(plhs[0]))
    = reinterpret_cast<std::size_t>(&ManagedComplexes);
}


}
