/* MatlabAllocator.h
 * -----------------
 * Defines a matlab-compatible allocator.
 *
 * $Id: MatlabAllocator.h,v 1.1.1.1 2005/03/18 23:36:35 silva Exp $
 * $Log: MatlabAllocator.h,v $
 * Revision 1.1.1.1  2005/03/18 23:36:35  silva
 * Imported Sources
 *
 * Revision 1.1.1.1  2004/09/25 22:04:09  patperry
 * Imported sources
 *
 * Revision 1.1  2004/01/15 07:15:43  patperry
 * Imported support.{c,h}, changed file extensions
 *
 * Revision 1.1.1.1  2003/11/14 10:12:21  patperry
 * Initial version.
 *
 *
 */

#ifndef _MATLAB_ALLOCATOR_H
#define _MATLAB_ALLOCATOR_H

#include <memory>

template <class T>
class MatlabAllocator {
  
  typedef typename std::allocator<T>::pointer pointer;
  typedef typename std::allocator<T>::size_type size_type;

public:

  MatlabAllocator () { }

  template <class S>
  MatlabAllocator (const MatlabAllocator<S>& m) { }

  void destroy(pointer p) { p->~T(); }

  static pointer allocate (size_type n);
  static pointer allocate (void);
  static void deallocate (pointer p, size_type n);
  static void deallocate (pointer p);

  template <class S>
  struct rebind { typedef MatlabAllocator<S> other; };

};


#include "MatlabAllocator.cc"


#endif // _MATLAB_ALLOCATOR_H
