/* MxUtility.h
 * -----------
 * Implements some basic utility functions for dealing with 
 * mxArrays.
 *
 * Written by Patrick Perry
 * Original Version on February 25, 2004
 *
 * $Id: MxUtility.h,v 1.1.1.1 2005/03/18 23:36:37 silva Exp $
 * $Log: MxUtility.h,v $
 * Revision 1.1.1.1  2005/03/18 23:36:37  silva
 * Imported Sources
 *
 * Revision 1.1.1.1  2004/09/25 22:04:09  patperry
 * Imported sources
 *
 * Revision 1.1  2004/02/26 06:49:24  patperry
 * Converted mexfiles to use new scomplex interface
 *
 */

#ifndef _MXUTILITY_H
#define _MXUTILITY_H

extern "C" {
#include "/matlabdir/extern/include/mex.h"
#include "/matlabdir/extern/include/matrix.h"
}

/**
 * Indicates whether or not an mxArray represents a scalar.
 * 
 * \param array the mxArray.
 * \returns true if the argument is a scalar.
 */
bool IsScalarMxArray (const mxArray * array);


/**
 * Gets the value in an mxArray and casts it to an int.
 *
 * \param array the mxArray.
 * \returns the value casted to an int.
 */
int GetIntFromMxArray (const mxArray * array);

#endif // _MXUTILITY_H
