/* ComplexMap.cc
 * -------------
 * Implements ComplexMap.h
 *
 * Written by Patrick Perry
 * Original Version on May 26 2004
 *
 * $Id: ComplexMap.cc,v 1.1.1.1 2005/03/18 23:37:12 silva Exp $
 * $Log: ComplexMap.cc,v $
 * Revision 1.1.1.1  2005/03/18 23:37:12  silva
 * Imported Sources
 *
 * Revision 1.1.1.1  2004/09/25 22:04:08  patperry
 * Imported sources
 *
 * Revision 1.1  2004/05/28 05:47:55  patperry
 * InitialVersions of ComplexMap and UnionFilter
 *
 */

template <class Alloc>
ComplexMap<Alloc>::
ComplexMap (const SimplicialComplex_t& scomplex)
  : scomplex(&scomplex)
{
}

template <class Alloc>
ComplexMap<Alloc>::
~ComplexMap ()
{
}

template <class Alloc>
typename ComplexMap<Alloc>::SimplexHandle_t
ComplexMap<Alloc>::
operator() (SimplexHandle_t simplex) const
{
  SimplexHandle_t result = NULL;
  typename SimplicialComplex_t::ConstSimplexIterator it 
    = scomplex->findSimplex(simplex->getDimension(), simplex->getLabel());

  if (it != scomplex->simplicesEnd(simplex->getDimension())) {
    result = *it;
  } 
  
  return result;
}
