/* SimplexBoundaryOperator.cc
 * --------------------------
 * Implements SimplexBoundaryOperator.h
 *
 * Written by Patrick Perry
 * Initial Version on February 25 2004
 *
 * $Id: SimplexBoundaryOperator.cc,v 1.1.1.1 2005/03/18 23:37:21 silva Exp $
 * $Log: SimplexBoundaryOperator.cc,v $
 * Revision 1.1.1.1  2005/03/18 23:37:21  silva
 * Imported Sources
 *
 * Revision 1.1.1.1  2004/09/25 22:04:08  patperry
 * Imported sources
 *
 * Revision 1.3  2004/02/26 11:09:54  patperry
 * persistence changes
 *
 * Revision 1.2  2004/02/26 10:17:44  patperry
 * Compile bugs
 *
 * Revision 1.1  2004/02/26 10:12:09  patperry
 * Initial version.
 *
 */


template <class SimplexHandle_t, class Coeff_t>
template <class OutputIterator>
OutputIterator
SimplexBoundaryOperator<SimplexHandle_t, Coeff_t>::
operator() (Simplex_handle simplex, OutputIterator out)
{
  int dimension = simplex->getDimension();
  Coeff sign(-1);
  
  if (dimension > 0) {
    for (int i = 0; i <= dimension; ++i) {
	 value_type component(simplex->getFace(i), sign);
	 *out++ = component;
	 sign = -sign;
    }
  }
  
  return out;
}
