% TEST file for Plex-2.0 windows dlls
% Facundo Memoli memoli@math.stanford.edu
% June 6, 2006

% test: generate N points sampled uniformly from a hypersphere in R^d
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%5
N = 4000;
d = 3;


% generate hypersphere
Z = randn(N,d);
nor = sum(Z.^2,2).^.5;
Z = Z./(nor*ones(1,d));

% compute Euclidean distance matrix
D = px_euclid(Z',Z');

% n is number of landmarks
% dim: compute b_0, b_1,...,b_(dim-1)
n = 30;
dim = 3;


% use MaxMin landmarks
[L,dist,R] = px_maxmin(D,'metric',n,'n');

% covering radius of landmarks wrt to points in Z
R

% call px_weak and persistence code
[c,f] = px_weak(dist,dim,R);
I = persistence(c,f,dim-1);

% display
figure; px_homologyplot(I);
