/* Hashtable.h
 * -----------
 * Convenient interface to SGI hash_map extension.
 *
 * Written by Patrick Perry
 * Original Version on 4/19/04
 *
 * $Id: Hashtable.h,v 1.2 2005/10/24 16:19:17 patperry Exp $
 * $Log: Hashtable.h,v $
 * Revision 1.2  2005/10/24 16:19:17  patperry
 * Hells (literally) of compile fixes for gcc4.0
 *
 * Revision 1.1.1.1  2005/03/18 23:37:26  silva
 * Imported Sources
 *
 * Revision 1.1.1.1  2004/09/25 22:04:09  patperry
 * Imported sources
 *
 * Revision 1.1  2004/06/10 05:46:56  patperry
 * Moved Hashtable.h to scomplex
 *
 * Revision 1.1  2004/04/20 08:17:19  patperry
 * Added hashtable interface
 *
 */

#ifndef _HASHTABLE_H
#define _HASHTABLE_H

#include <functional>
#include <memory>

// Lots of trouble just to get a hashtable.  Code taken from
// http://gcc.gnu.org/onlinedocs/libstdc++/faq/index.html#5_4
#ifdef __GNUC__
#if __GNUC__ < 3
  #include <hash_map.h>
  namespace Sgi { using ::hash_map }; 
#else
  #include <ext/hash_map>
  #if ((__GNUC__ == 3) && (__GNUC_MINOR__ == 0))
    namespace Sgi = std;
  #else 
    namespace Sgi = ::__gnu_cxx;
  #endif
#endif
#else
  #include <hash_map>
  namespace Sgi = std;
#endif 


#endif // _HASHTABLE_H
