/* Iota.h
 * ------
 * Convenient interface to SGI iota extension.
 *
 * Written by Patrick Perry
 * Original Version on 6/21/04
 *
 * $Id: Iota.h,v 1.2 2005/10/24 16:18:50 patperry Exp $
 * $Log: Iota.h,v $
 * Revision 1.2  2005/10/24 16:18:50  patperry
 * Hells (literally) of compile fixes for gcc4.0
 *
 * Revision 1.1.1.1  2005/03/18 23:37:26  silva
 * Imported Sources
 *
 * Revision 1.1.1.1  2004/09/25 22:04:09  patperry
 * Imported sources
 *
 * Revision 1.1  2004/06/21 17:14:12  patperry
 * Added convenient access to iota.
 *
 *
 */

#ifndef _IOTA_H
#define _IOTA_H

#include <functional>
#include <memory>

// Lots of trouble just to get a hashtable.  Code taken from
// http://gcc.gnu.org/onlinedocs/libstdc++/faq/index.html#5_4
#ifdef __GNUC__
#if __GNUC__ < 3
  #include <algo.h>
  namespace Sgi { using ::iota }; 
#else
  #include <ext/numeric>
  #if ((__GNUC__ == 3) && (__GNUC_MINOR__ == 0))
    namespace Sgi = std;
  #else 
    namespace Sgi = ::__gnu_cxx;
  #endif
#endif
#else
  #include <numeric>
  namespace Sgi = std;
#endif 


#endif // _IOTA_H
