// Mod2.cc
// -------
// Implements Mod2.h
//
// Author: Patrick Perry
// Date:   September 2, 2003
//

#include "Mod2.h"


Mod2::
Mod2 ()
  : value(false)
{
}


Mod2::
Mod2 (bool value)
  : value(value)
{
}


Mod2::
Mod2 (int value)
  : value((value % 2) != 0)
{
}

Mod2::
Mod2 (double value)
  : value((static_cast<int>(value) % 2) != 0)
{
}

 
Mod2& 
Mod2::
operator+= (Mod2 a)
{
  value ^= a.value;
  return *this;
}


Mod2& 
Mod2::
operator-= (Mod2 a)
{
  value ^= a.value;
  return *this;
}


Mod2& 
Mod2::
operator*= (Mod2 a)
{
  value &= a.value;
  return *this;
}


Mod2& 
Mod2::
operator/= (Mod2 a) throw(Mod2::DivideByZero)
{
  if (a.value) {
    return *this;
  } else {
    throw Mod2::DivideByZero();
  }
}


Mod2::
operator bool () const
{
  return value;
}


Mod2::
operator int () const
{
  if (value) {
    return 1;
  } else {
    return 0;
  }
}


Mod2::
operator double () const
{
  if (value) {
    return 1.0;
  } else {
    return 0.0;
  }
}


bool
operator== (Mod2 a, Mod2 b)
{
  return (a.value == b.value);
}


bool 
operator!= (Mod2 a, Mod2 b)
{
  return (a.value != b.value);
}


bool 
operator< (Mod2 a, Mod2 b)
{
  return (b.value && (!a.value));
}


bool 
operator<= (Mod2 a, Mod2 b)
{
  return !(a.value && (!b.value));
}


bool 
operator> (Mod2 a, Mod2 b)
{
  return (a.value && (!b.value));
}


bool 
operator>= (Mod2 a, Mod2 b)
{
  return !(b.value && (!a.value));
}


bool 
operator== (int a, Mod2 b)
{
  return (Mod2(a) == b);
}


bool 
operator== (Mod2 a, int b)
{
  return (a == Mod2(b));
}


bool 
operator!= (int a, Mod2 b)
{
  return (Mod2(a) != Mod2(b));
}


bool 
operator!= (Mod2 a, int b)
{
  return (a != Mod2(b));
}


bool 
operator< (int a, Mod2 b)
{
  return (Mod2(a) < b);
}


bool 
operator< (Mod2 a, int b)
{
  return (a < Mod2(b));
}


bool 
operator<= (int a, Mod2 b)
{
  return (Mod2(a) <= b);
}


bool 
operator<= (Mod2 a, int b)
{
  return (a <= Mod2(b));
}


bool 
operator> (int a, Mod2 b)
{
  return (Mod2(a) > b);
}


bool 
operator> (Mod2 a, int b)
{
  return (a > Mod2(b));
}
 

bool 
operator>= (int a, Mod2 b)
{
  return (Mod2(a) >= b);
}


bool 
operator>= (Mod2 a, int b)
{
  return (a >= Mod2(b));
}


std::ostream& 
operator<< (std::ostream& s, Mod2 a)
{
  if (a.value) {
    s << "1";
  } else {
    s << "0";
  }

  return s;
}


std::istream& 
operator>> (std::istream& s, Mod2& a) 
{
  s >> a.value;
  return s;
}


Mod2 
operator+ (Mod2 a)
{
  return a;
}


Mod2 
operator- (Mod2 a)
{
  return a;
}


Mod2 
operator+ (Mod2 a, Mod2 b)
{
  Mod2 r = a;
  return r += b;
}


Mod2 
operator- (Mod2 a, Mod2 b)
{
  Mod2 r = a;
  return r -= b;
}


Mod2 
operator* (Mod2 a, Mod2 b)
{
  Mod2 r = a;
  return r *= b;
}


Mod2 
operator/ (Mod2 a, Mod2 b) throw(Mod2::DivideByZero)
{
  Mod2 r = a;
  return r /= b;
}


Mod2 
operator+ (int a, Mod2 b)
{
  Mod2 r(a);
  return r += b;
}


Mod2 
operator+ (Mod2 a, int b)
{
  Mod2 r(b);
  return r += a;
}


Mod2 
operator- (int a, Mod2 b)
{
  Mod2 r(a);
  return r -= b;
}


Mod2 
operator- (Mod2 a, int b)
{
  Mod2 r = a;
  return r -= Mod2(b);
}


Mod2 
operator* (int a, Mod2 b)
{
  Mod2 r(a);
  return r *= b;
}


Mod2 
operator* (Mod2 a, int b)
{
  Mod2 r(b);
  return r *= a;
}


Mod2 
operator/ (int a, Mod2 b)
{
  Mod2 r(a);
  return r /= b;
}


Mod2 
operator/ (Mod2 a, int b)
{
  Mod2 r = a;
  return r /= Mod2(b);
}

namespace std {
  int 
  abs(Mod2 x)
  {
    return static_cast<int>(x);
  }
}
