function plotSpectro(sgn,tag)
% -------------------------------------------------------
% Plot Spectrogram sgn with a colormap similiar to the cooledit one  
% An iverted colormap might be used for better printing 
% --------------------------------------------------------
% Author: Mijail Guillemard - 2010
% Copyright 2010 Mijail Guillemard
% This program is distributed under the terms of the GNU General Public License.
% --------------------------------------------------------

% cooledit colormap 
cld = colorgrad([0,0,0; 0.1,0,0.1; 0.3,0,0.3; 0.5,0,0.5; 1,0,0; 1,1,0]);

pt=1; fftSize = 512; winSize = 512; hopSize = 32; fftSize2 = fftSize/2;
pt=1; fftSize = 512; winSize = 256; hopSize = 32; fftSize2 = fftSize/2;

[wxn wsg] = stft(sgn',fftSize,winSize,hopSize);
figure; imagesc(10*log10(abs(wxn))); colormap(cld); axis xy;

% this colormap option might be better for a printed version of the preprint
% colormap(1-cld);

screen2jpeg(tag);
% saveas(gcf,tag,'png');
% saveas(gcf,tag,'epsc');