function Yy = rbfApproximation(Xx,WwCc)
% -------------------------------------------------------
% Radial basis function approximation 
% Yy = Ww.Qq with Qq = (\Phi(|x_i-c_j|))_{ij}
% Yy: rxP   Ww:qx(N_c+1) Qq:  
%
% --------------------------------------------------------
% Author: M.Guillemard - 2010
% Copyright 2010 Mijail Guillemard
% This program is distributed under the terms of the GNU General Public License.
% --------------------------------------------------------

fname = 'rbfApproximation'; 

[nn mm] = size(Xx);

Ww = WwCc.Ww;
Cc = WwCc.Cc;

% construct the matrix Qq based on the radial basis function \Phi
Dd = L2_distance(Xx,Cc);
alpha = 10; 
Qq = [ones(mm,1) exp(-Dd/alpha)];

Yy = Ww*Qq';

% disp('sxsf3322'); keyboard; 