function WwCc = rbfWeights(Yy,Xx)
% -------------------------------------------------------
% Radial basis function approximation 
% Yy = Ww.Qq with Qq = (\Phi(|x_i-c_j|))_{ij}
% Yy: rxP   Ww:qx(N_c+1) Qq:  
%
% --------------------------------------------------------
% Author: M.Guillemard - 2010
% Copyright 2010 Mijail Guillemard
% This program is distributed under the terms of the GNU General Public License.
% --------------------------------------------------------

fname = 'rbfWeights'; 

[nn mm] = size(Xx);
% select centers as random samples in Xx
ncenters = ceil(mm/5);
centers = ceil(mm*rand(ncenters,1));
Cc = Xx(:,centers);

% construct the matrix Qq based on the radial basis function \Phi
Dd = L2_distance(Xx,Cc);
alpha = 10; Qq = [ones(mm,1) exp(-Dd/alpha)];

% construct pseudoinverse of Qq using SVD
% [U, S, V] = svd(Qq,'econ');

% compute Weight matrix 
% Ww = transpose(V*S'*U'*Yy'); % here we have to compute the correct 'inverse'of S 
Ww = transpose(pinv(Qq)*Yy');

% disp('sf33'); keyboard;
% Yz = Ww*Qq';
% Yz1 = U*S*V'*Ww';

WwCc.Ww = Ww; WwCc.Cc = Cc;

% error analysis 
% Dp = L2_distance(Xx)
% Qp = 

% disp('sfd3'); keyboard; 
