function screen2jpeg(filename, printImages)
%SCREEN2JPEG Generate a JPEG file of the current figure with
% dimensions consistent with the figure's screen dimensions.
%
% SCREEN2JPEG('filename') saves the current figure to the
% JPEG file "filename".
%
% Sean P. McCarthy
% Copyright (c) 1984-98 by The MathWorks, Inc. All Rights Reserved

if nargin < 2; printImages = 1; end

% do nothing if the user specified it 
if printImages == 0; 
  return; 
end; 

pathfile = './results/';

%%== oldscreenunits = get(gcf,'Units');
%%== oldpaperunits = get(gcf,'PaperUnits');
%%== oldpaperpos = get(gcf,'PaperPosition');
%%== set(gcf,'Units','pixels');
%%== scrpos = get(gcf,'Position');
%%== newpos = scrpos/100;
%%== set(gcf,'PaperUnits','inches','PaperPosition',newpos)
%%== 
%%== % %% option 1:
%%== % II = getframe(gcf); imwrite(II.cdata,[pathfile filename '.png'], 'Bitdepth',8);
%%== 
%%== %% %% option 2:
%%== print(gcf,'-dpng', [pathfile filename]);
%%== 
%%== % option 3:
%%== % saveas(gcf,[pathfile filename '.png'],'png');
%%== 
%%== % eval(['print -djpeg ' filename ' -r100'])
%%== % eval(['print -dpng ' filename '])
%%== % ...
%%== drawnow
%%== set(gcf,'Units',oldscreenunits,'PaperUnits',oldpaperunits,'PaperPosition',oldpaperpos)

exportfig(gcf,filename,'color','cmyk','LineMode','scaled','LineWidth',10,'Format','png');

