function setGlobalParms()
% -------------------------------------------------------
% Setting some global parameters for the separator and classificator
% 
% This is supposed to be a more convenient place for storing 
% interesting parameters I find: the nicest thing would be to use 
% the python-matlab scipy environment with a good GUI, but this 
% is still work in progress. 
% --------------------------------------------------------
% Author: Mijail Guillemard - 2010
% Copyright 2010 Mijail Guillemard
% This program is distributed under the terms of the GNU General Public License.
% --------------------------------------------------------

global parms; 


% these are values for which a certain signal separation 
% can be observed. By reducing the moebius deviation, 
% (to 0.2 or the identity 0.5) we can check that the 
% reduction is less important, indicating a valuable 
% contribution of geometrical distortion of the moebius transform 
% 
parms.FilterCoef = 1.4;
parms.MoebiusDeviation = 0.4;
parms.PCAcomponents = 8;
parms.usepcd1 = 1;
% parms.usepcd1 = 0;
% parms.tag % defined in separator.m

%parms.FilterCoef = 1.5;
%parms.MoebiusDeviation = 0.27;
%parms.PCAcomponents = 9;
