function fsgw = stftMake(x, f, w, h)
% Mijail Guillemard
% reference: stft from dpwe 1994may05.  Uses built-in 'fft'


if rem(w, 2) == 0   % force window to be odd-len
  w = w + 1;
end

halflen = (w-1)/2;
halff = f/2;   % midpoint of win
acthalflen = min(halff, halflen);

halfwin = 0.5 * ( 1 + cos( pi * (0:halflen)/halflen));
win = zeros(1, f);
win((halff+1):(halff+acthalflen)) = halfwin(1:acthalflen);
win((halff+1):-1:(halff-acthalflen+2)) = halfwin(1:acthalflen);

sgw = x.*repmat(win',1,size(x,2));
fsgw = fft(sgw);
fsgw = fsgw(1:f/2,:);

