function [sedT sedS] = torus2()

phimin   = 0.0; phimax   = 2.0*pi;  % for the torus case
% phimin   = 0.0; phimax   = pi; % for the sphere case
nphi     = 70; dphi     = (phimax-phimin)/nphi;
thetamin = 0.0; thetamax = 2.0*pi;
ntheta   = 70; dtheta   = (thetamax-thetamin)/ntheta;
ds = dphi; dt = dtheta;
[phim, thetam] = meshgrid(phimin:dphi:phimax, thetamin:dtheta:thetamax);

rr = 1; RR = 2;

f1 = (RR+rr*cos(phim)).*cos(thetam);
f2 = (RR+rr*cos(phim)).*sin(thetam);
f3 = rr*sin(phim); 

f1 =  f1/max(max(abs(f1)));
f2 =  f2/max(max(abs(f2)));
f3 =  f3/max(max(abs(f3)));

sedT(1,:) = f1(:); sedT(2,:) = f2(:); sedT(3,:) = f3(:);

% ------------------------------------------------------------
phimin   = 0.0; phimax   = pi; % for the sphere case
nphi     = 70; dphi     = (phimax-phimin)/nphi;
thetamin = 0.0; thetamax = 2.0*pi;
ntheta   = 70; dtheta   = (thetamax-thetamin)/ntheta;
ds = dphi; dt = dtheta;
[phim, thetam] = meshgrid(phimin:dphi:phimax, thetamin:dtheta:thetamax);

rr = 2; RR = 2;

f1 = (RR+rr*cos(phim)).*cos(thetam);
f2 = (RR+rr*cos(phim)).*sin(thetam);
f3 = rr*sin(phim); 

f1 =  f1/max(max(abs(f1)));
f2 =  f2/max(max(abs(f2)));
f3 =  f3/max(max(abs(f3)));

sedS(1,:) = f1(:); sedS(2,:) = f2(:); sedS(3,:) = f3(:);

