function torusSignal()
% -------------------------------------------------------
% Creates a Frequency Modulated Torus and computes several 
% dimensionality Reduction maps (including the PCA and ISOMAP) 
% of its time and frequency domain representations 
% 
% --------------------------------------------------------
% Author: Mijail Guillemard - 2010
% Copyright 2010 Mijail Guillemard
% This program is distributed under the terms of the GNU General Public License.
% --------------------------------------------------------

clear all; close all; 

pt=1; fftSize = 128; winSize = 128; hopSize = 32; fftSize2 = fftSize/2;
[sedTorus sedSphere] = torus(0.4,100,1);
lsg1 = size(sedTorus,2);
Fs = 11025;
xx = [1:10*Fs]/Fs; xx = xx(1:lsg1);

%% Constructing time-frequency signal representation
% =============================================================
xxk = xx(1:fftSize);
xxkrep = repmat(xxk',1,size(sedTorus,2));

sgw1 = sin(repmat(2*pi*(1000+180*sedTorus(1,:)),fftSize,1).*xxkrep);
sgw2 = sin(repmat(2*pi*(1200+180*sedTorus(2,:)),fftSize,1).*xxkrep);
sgw3 = sin(repmat(2*pi*(1400+180*sedTorus(3,:)),fftSize,1).*xxkrep);

sgw = sgw1 + sgw2 + sgw3; % sgw = sgw2; 
wxm = stftMake(sgw,fftSize,winSize,hopSize);

pcaAnalysis2(sedTorus');   title('Original Dataset $\Omega$');
pcaAnalysis2(sgw');        title('PCA of Time Domain dataset $M=A(\Omega)$');
pcaAnalysis2((abs(wxm'))); title('PCA of Frequency Domain dataset $M=A(\Omega)$');
awi = isomapPlotting((abs(wxm')),0); 
pcaAnalysis2(awi');        title('Isomap of Frequency Domain dataset $M=A(\Omega)$');

disp('sf33b'); keyboard; 
